<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePsocformsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: psocforms
         */
        Schema::create('psocforms', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->enum('type', ['Presentations','Scholarships','Membership Forms'])->nullable();
            $table->integer('year')->nullable();
            $table->text('file')->nullable();
            $table->string('slug', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('psocforms');
    }
}
