Lavalite package that provides psocform management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/psocform`.

    "litepie/psocform": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Psocform\Providers\PsocformServiceProvider::class,

And also add it to alias

    'Psocform'  => Litepie\Psocform\Facades\Psocform::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\PsocformTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Psocform\Providers\PsocformServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Psocform\Providers\PsocformServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Psocform\Providers\PsocformServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/psocform/{modulename}

**User**

    http://path-to-route-folder/user/psocform/{modulename}

**Public**

    http://path-to-route-folder/psocforms


### API endpoints

**List**

    http://path-to-route-folder/api/user/psocform/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/psocform/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/psocform/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/psocform/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/psocform/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/psocform/{modulename}/{slug}
    METHOD: GET