<?php

// web routes  for psocform
Route::prefix('{guard}/psocform')->group(function () {
    Route::resource('psocform', 'PsocformResourceController');
});

// Public routes for psocform
Route::get('psocforms/', 'PsocformPublicController@index');
Route::get('psocforms/{slug?}', 'PsocformPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PsocformResourceController');
            });
            // Public routes for pages
            Route::get('psocforms/', 'PsocformPublicController@index');
            Route::get('psocforms/{slug?}', 'PsocformPublicController@show');
        }
    );
}

