<?php

namespace Litepie\Psocform;

use User;

class Psocform
{
    /**
     * $psocform object.
     */
    protected $psocform;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Psocform\Interfaces\PsocformRepositoryInterface $psocform)
    {
        $this->psocform = $psocform;
    }

    /**
     * Returns count of psocform.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.psocform.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->psocform->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\PsocformUserCriteria());
        }

        $psocform = $this->psocform->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('psocform::' . $view, compact('psocform'))->render();
    }
}
