<?php

namespace Litepie\Psocform\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PsocformTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Psocform\Models\Psocform $psocform)
    {
        return [
            'id'                => $psocform->getRouteKey(),
            'key'               => [
                'public'    => $psocform->getPublicKey(),
                'route'     => $psocform->getRouteKey(),
            ], 
            'name'              => $psocform->name,
            'type'              => $psocform->type,
            'year'              => $psocform->year,
            'file'              => $psocform->file,
            'slug'              => $psocform->slug,
            'user_id'           => $psocform->user_id,
            'user_type'         => $psocform->user_type,
            'deleted_at'        => $psocform->deleted_at,
            'url'               => [
                'public'    => trans_url('psocform/'.$psocform->getPublicKey()),
                'user'      => guard_url('psocform/psocform/'.$psocform->getRouteKey()),
            ], 
            'status'            => trans('app.'.$psocform->status),
            'created_at'        => format_date($psocform->created_at),
            'updated_at'        => format_date($psocform->updated_at),
        ];
    }
}